# TCS Improved Plot Tooltip
Official releases hosted on [Civfanatics](https://forums.civfanatics.com/resources/tcs-improved-plot-tooltip.31859/).

## Description
Various improvements to the Plot Tooltip. This includes:

### Better Yield Handling
* Displays Total Yields value if there are 2+ yield types
* Displays Specialist information when relevant

### Better Improvement Handling
* Adds Potential Improvement for unimproved tiles
* Adds Improvement icons and tags (i.e. Unique)

### Better Building Handling
* Buildings flow across (Row) instead of down (Column)
* Displays additional Building tags (Unique, Ageless, Obsolete, Full Tile)

### Better District Handling
* Displays the District type (Urban, Quarter, or named unique Quarters)
* Shows descriptions for unique Quarters
* Shows District Fortification status and HP

### Better Unit handling
* Units now display their icon and owner
* Hostile units and are highlighted in the tooltip
* Multiple units appear in the tooltip, instead of just the top one

### Additional Default Information
* Shows which Settlement owns the tile
* When over another Civilization or Independent, displays their relationship status to you
* Shows whether the plot is a Distant Lands plot
* Shows whether the plot has Fresh Water

### Extra Information from City Centers
When examining one of your City Center tiles:
 * If it is a Town, it displays whether it's a Growing or Specialized Town and (if Specialized) how many Cities are being fed
 * Displays City/Town connections (including a food icon for Cities/Towns being fed/feeding the root city)
 * Displays a warning if the settlement is not part of the Trade Network

When examining another player's City Center tiles:
 * Displays how many current/available trade routes you have with that player

## User Configuration
You may toggle certain components if you find the information unnecessary. Options may be toggled in **Options** > **Add-Ons**, and can be selected in-game for an immediate change.

![image](https://github.com/user-attachments/assets/4fd97d6e-cdf6-416b-9563-290729c28941)

## Installation
### Recommended
It is recommended to use the [CivMods](https://civmods.com/install?modCfId=31859) manager.
### Manual
Extract to your Mods folder.
* **Windows:** %localappdata%\Firaxis Games\Sid Meier's Civilization VII\Mods
* **MacOS:** ~/Library/Application Support/Civilization VII/Mods
* **Linux:** ~/My Games/Sid Meier's Civilization VII/Mods/
* **Steam Deck:** ~/My Games/Sid Meier's Civilization VII/Mods/
Mods are enabled by default after installation.

**Note:** Please ensure mods are not nested inside an extra folder after extracting - if they are they will not work!

## Localization
If you would like to contribute a translation, please do one of the following:
* open an issue with the **localization** label and upload your files there, OR
* open a branch from the current version, add your localization to an appropriate folder, and create a Pull Request.
